module pluja.dev/kycnot.me

go 1.21.3

require (
	entgo.io/ent v0.12.4
	github.com/allegro/bigcache/v3 v3.1.0
	github.com/goccy/go-json v0.10.2
	github.com/gofiber/fiber/v2 v2.50.0
	github.com/gofiber/template/html/v2 v2.0.5
	github.com/google/uuid v1.4.0
	github.com/joho/godotenv v1.5.1
	github.com/mattn/go-sqlite3 v1.14.18
	github.com/pkoukk/tiktoken-go v0.1.6
	github.com/rs/zerolog v1.31.0
	github.com/sashabaranov/go-openai v1.17.5
	golang.org/x/net v0.18.0
)

require (
	ariga.io/atlas v0.15.0 // indirect
	github.com/agext/levenshtein v1.2.3 // indirect
	github.com/andybalholm/brotli v1.0.6 // indirect
	github.com/apparentlymart/go-textseg/v15 v15.0.0 // indirect
	github.com/dlclark/regexp2 v1.10.0 // indirect
	github.com/go-openapi/inflect v0.19.0 // indirect
	github.com/gofiber/template v1.8.2 // indirect
	github.com/gofiber/utils v1.1.0 // indirect
	github.com/google/go-cmp v0.6.0 // indirect
	github.com/hashicorp/hcl/v2 v2.19.1 // indirect
	github.com/klauspost/compress v1.17.2 // indirect
	github.com/mattn/go-colorable v0.1.13 // indirect
	github.com/mattn/go-isatty v0.0.20 // indirect
	github.com/mattn/go-runewidth v0.0.15 // indirect
	github.com/mitchellh/go-wordwrap v1.0.1 // indirect
	github.com/rivo/uniseg v0.4.4 // indirect
	github.com/valyala/bytebufferpool v1.0.0 // indirect
	github.com/valyala/fasthttp v1.50.0 // indirect
	github.com/valyala/tcplisten v1.0.0 // indirect
	github.com/zclconf/go-cty v1.14.1 // indirect
	golang.org/x/mod v0.14.0 // indirect
	golang.org/x/sys v0.14.0 // indirect
	golang.org/x/text v0.14.0 // indirect
)
